ProGet 4.7.13 Has Been Released

We just shipped ProGet 4.7.13. It's a maintenance release of ProGet 4.7 which means that there is minimal risk to upgrading from an earlier 4.7. However, if you're planning to upgrade from a version prior to 4.7, make sure to read the appropriate upgrade notes.

To install or upgrade, simply download ProGet and run the installer.

Here's what we changed between 4.7.12 and 4.7.13:

  • PG-1045 - Detect WebDAV and Issue Warning in UI
  • PG-1044 - FIX: RubyGems packages with no platform-independent version generate incorrect links from the package list
  • PG-1043 - FIX: RubyGems feeds incorrectly handle base64-encoded binary metadata
  • PG-1041 - FIX: Web interface does not filter NPM feeds by search terms
  • PG-1040 - FIX: Package IDs containing spaces result in inaccessible package pages
  • PG-1039 - Add support for NPM authentication on multi-domain user directories

To learn more about how we distinguish between major, minor, and maintenance releases, make sure to check out KB#1059 - When should I update?